/*
    This program is developed for calculating download time of a file, given
    its file size and the connection speed. Connection speed is in bits 
    per second and the file size in MBs.

    Input: File size and connection speed.
    Output: Approximate download time in hour/minute/second format.

        1MB = 1024 KBs;
        1KB = 1024 Bytes;
        1Byte = 8 bits;
        so 1MB = 1024*1024*8 bits.
*/

#include <iostream>

using namespace std;

int main() 
{	
	int fileSizeMB, connSpeed; // input
	int time, hour, minute, second, sizeInBits;
	
	cout << "Enter the File Size (MB): ";
	cin >> fileSizeMB;
	cout << "Enter the connection speed (bits/second): ";
	cin >> connSpeed;

	sizeInBits = fileSizeMB * 1024 * 1024 * 8;
	time = sizeInBits / connSpeed;
	hour = time / 3600;
	minute = (time % 3600) / 60;
	second = time % 60;

	cout << "The estimated time for the download of " << fileSizeMB 
         << " MB file on a " << connSpeed << "(bps) line is :" << endl;

	cout << hour << " Hour(s) " << minute << " Minute(s) " << second << " Second(s)" << endl;

	return 0;
}
